local cv_randommusic = CV_RegisterVar({
    name = "randommusic",
    defaultvalue = "Off",
    possiblevalue = CV_OnOff,
})

local replacemusname = nil
local musname = nil

local function getMapMusicList()
    local list = {}

    for i = 1, #mapheaderinfo do
        if mapheaderinfo[i] ~= nil then
            table.insert(list, mapheaderinfo[i].musname)
        end
    end

    return list
end

addHook("ThinkFrame", function()
    if leveltime == 2 then
        local music_list = getMapMusicList()

        replacemusname = music_list[P_RandomRange(1, #music_list)]
        musname = mapheaderinfo[gamemap].musname
    end
end)

-- Thats dumb a bit but it keeps music change synced for midjoiners
addHook("NetVars", function(net)
    replacemusname = net(replacemusname)
    musname = net(musname)
end)

addHook("MusicChange", function(old, new, mflags, looping, position, prefadems, fadems)
    -- We keep WAR music >:D
    if cv_randommusic.value and new == musname and new:lower() ~= "pizzaw" then
        return replacemusname
    end
end)
